解决wordpress3.5更新插件和主题失败的问题

前几天把wordpress升级到了3.5,发现插件和主题不能在控制板里更新了,显示为:

无法安装这个包。 PCLZIP_ERR_MISSING_FILE (-4) : Missing archive file ‘C:\WINDOWS\TEMP/crayon-syntax-highlighter.tmp’

这应该是新版本的问题,因为以前是正常的。搜索了下,看起来是windows server的问题,应该是某个地方权限不对,可是调整了temp的权限也还是不行。最终在这里找到了一个解决方法。原理是指定wp的临时文件夹路径,避免默认的文件夹在windows下没有权限。方法如下:

打开wordpress根目录下的wp-config.php文件

找到如下:

在下面增加如下代码即可:

最后再wp-content文件夹下新建个temp文件夹,然后试试更新功能,是不是可以了呢?

《解决wordpress3.5更新插件和主题失败的问题》上有14条评论

  1. 真心的谢谢楼主,不过我修复后又出现了新的问题~这是怎么回事啊

    Fatal error: Maximum execution time of 30 seconds exceeded in D:\wwwroot\llcoo1\Web\wp-includes\class-http.php on line 1152

发表评论

电子邮件地址不会被公开。 必填项已用*标注